Subject: csv-mode: can't kill column from single-column file

From: Dan <[email-masked]>
Date: Tue, 2 Apr 2013 11:00:45 +0300

If I try to kill column 1 (the only column) from a single-column csv
file, it correctly guesses the entire buffer as the desired region,
the desired field as 1, then proceeds to only kill the header row
(instead of the entire region). Subsequently yank-column doesn't work.

This is emacs=24.1+1-2ubuntu3 with csv-mode=1.1 (latest from ELPA)